AcquisityDeveloper Docs
Webhooks

Create webhook endpoint

POST
/v1/workspaces/{workspaceId}/webhooks

Authorization

bearerAuth
AuthorizationBearer <token>

Paste the full personal access token or organization API key value. Examples: acq_live_..., acq_org_.... Tokens can be limited to resource/action scopes such as workspaces:read, people:write, and deals:write.

In: header

Path Parameters

workspaceId*string

Workspace (organization) id.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "events": [      "ai_sdr.positive_reply"    ]  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "url": "http://example.com",    "events": [      "string"    ],    "status": "active",    "description": "string",    "secret": "string",    "createdAt": "2019-08-24T14:15:22Z",    "links": {      "self": "http://example.com"    }  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string",    "details": null  }}